Bug 7820 - Missing packages from install_misc/debian.packages
Summary: Missing packages from install_misc/debian.packages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 5549
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-24 13:47 UTC by Ian Walls
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7820: Add missing Debian packages (1.42 KB, patch)
2012-03-24 13:56 UTC, Ian Walls
Details | Diff | Splinter Review
Bug 7820: Add missing Debian packages (1.61 KB, patch)
2012-03-24 14:07 UTC, Ian Walls
Details | Diff | Splinter Review
Bug 7820 Followup Add missing Debian packages (835 bytes, patch)
2012-03-28 13:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2012-03-24 13:47:23 UTC
Hourly Loans introduced several new Perl dependencies:

DateTime::Format::DateParse
Readonly
Readonly::XS

Additionally, Modern::Perl is now a dependency.

There are Debian packages for all of these, so they should be added to install_misc/debian.packages to make installation easier on that platform.

Patch forthcoming.
Comment 1 Ian Walls 2012-03-24 13:56:53 UTC Comment hidden (obsolete)
Comment 2 Ian Walls 2012-03-24 14:07:51 UTC
Created attachment 8619 [details] [review]
Bug 7820:  Add missing Debian packages

Adds DateTime::Format::DateParse, Readonly, Readonly::XS and Modern::Perl
Debian packages to install_misc/debian.packages

Signed-off-by: Marc Balmer <marc@msys.ch>
Signed-off-by: Ian Walls <koha.sekjal@gmail.com>

Sign off for Marc Balmer added manually by Ian Walls on Mar 24, 2012 by
permission (see IRC chat log)
Comment 3 Jonathan Druart 2012-03-28 13:30:06 UTC
Created attachment 8666 [details] [review]
Bug 7820 Followup Add missing Debian packages

DateTime::Set is missing
Comment 4 Ian Walls 2012-04-06 22:23:37 UTC
Second patch adds necessary dependency.  Adding my signoff, and passing to Marcel for QA.
Comment 5 Marcel de Rooy 2012-05-10 07:10:07 UTC
Updating status to Passed QA. Patches speak for themselves.
Comment 6 Paul Poulain 2012-05-11 09:14:33 UTC
Patch pushed, it's worth including it on 3.8, (maybe useless on 3.6)
Comment 7 Chris Cormack 2012-05-11 11:19:45 UTC
Pushed to 3.8.x
Comment 8 Jared Camins-Esakov 2012-06-14 11:52:10 UTC
This patch will be in 3.6.6. Even though it adds some unnecessary packages, it also adds some that are necessary for 3.6.x (Modern::Perl).